<!DOCTYPE html>
<html lang="es" xmlns:th="http://www.thymeleaf.org">

<div th:replace="fragments/head :: head"></div> <!--Carga el fragmento head-->
<body id="body-register">
<!-- Fixed navbar -->
<div th:replace="fragments/header-ejecutivo :: header"></div> <!--Carga el fragmento header-->
<div class="container">
    <div class="register-container">
        <div id="output"></div>
        <div class="form-box well">
            <h4>Ingresar cliente</h4>
            <br> </br>
            <form class="form" id="user-form">  <!--Muestra un formulario con los datos a completar para ingresar un cliente-->

                <div class="form-group" style="width:49%; float:left;">
                    <label for="nombre">Nombre:</label>
                    <input id="nombre" name="nombre" placeholder="Ingrese Nombre" class="form-control input-md"
                           required=""
                           title="Ingresa nombre"/>
                </div>

                <div class="form-group" style="width:49%; float:right;">
                    <label for="apellido">Apellido:</label>
                    <input id="apellido" name="apellido" placeholder="Ingrese Apellido" class="form-control input-md"
                           required=""
                           title="Ingresa apellido"/>
                </div>

                <div class="form-group" style="width:49%; float:left;">
                    <label for="rut">RUT:</label>
                    <input id="rut" name="rut" placeholder="Ingrese Rut" class="form-control input-md"
                           required=""
                           title="Ingresa RUT"/>
                </div>

                <div class="form-group" style="width:49%; float:right;">
                    <label for="telefono">Teléfono:</label>
                    <input id="telefono" name="telefono" placeholder="Ingrese Teléfono" class="form-control input-md"
                           required=""
                           title="Ingresa telefono"/>
                </div>

                <div class="form-group" style="width:49%; float:left;">
                    <label for="correo">Correo:</label>
                    <input id="correo" name="correo" placeholder="Ingrese Correo" class="form-control input-md"
                           required="" pattern="[a-zA-Z0-9_]+([.][a-zA-Z0-9_]+)*@[a-zA-Z0-9_]+([.][a-zA-Z0-9_]+)*[.][a-zA-Z]{1,5}"
                           title="Ingresa correo"/>
                </div>

                <button class="btn btn-info register glyphicon glyphicon-pencil" type="submit"> Ingresar</button>
            </form>
        </div>

    </div>
</div>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"
        integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa"
        crossorigin="anonymous"></script>
<script>
    $(document).ready(function () {

        $("#user-form").submit(function (e) {
            <!--Captura los datos del formulario-->
            var datos = {
                nombre: $("input[name=nombre]").val(),
                apellido: $("input[name=apellido]").val(),
                rut: $("input[name=rut]").val(),
                telefono: $("input[name=telefono]").val(),
                correo: $("input[name=correo]").val(),
                visible: true
            };
            <!--Envía los datos capturados al URL /cliente/crear-->

            $.ajax({
                type: "POST",
                contentType: 'application/json',
                url: "http://localhost:8080/cliente/crear",
                dataType: 'json',
                data: JSON.stringify(datos), // Adjunta los datos
            }).done(function (message) {
                location.href = "http://localhost:8080/clientes";
            }).fail(function (e) {
                console.log("error " + e);
            });
            return false;
        });

    });


</script>

</body>

<div th:replace="fragments/footer :: footer"></div> <!--Carga el fragmento footer-->

</html>